CREATE TABLE FUNCINARIO (
    IDFUNCIONARIO     INTEGER NOT NULL,
    IDDEPARTAMENTO    INTEGER NOT NULL,
    IDEMPRESA	      INTEGER NOT NULL,
    NOME              VARCHAR(50),
    CPF               VARCHAR(12),
    RG                VARCHAR(12),
    DATA_NASCIMENTO   DATE,
    ESTADO_CIVIL      VARCHAR(40),
    SEXO              VARCHAR(2),
    ENDERECO          VARCHAR(80),
    BAIRRO            VARCHAR(80),
    CEP               VARCHAR(12),
    UF                VARCHAR(2),
    CIDADE            VARCHAR(40),
    FOTO              BLOB,
    DATA_ADMISSAO     DATE,
    DATA_DEMISSAO     DATE,
    FUNCAO            VARCHAR(40),
    SALARIO           DECIMAL(10,2),
    FONE              VARCHAR(15),
    CELULAR           VARCHAR(15),
    EMAIL             VARCHAR(20),
    INSS              DECIMAL(10,2),
    IRRF              DECIMAL(10,2),
    VLDESCONTO        DECIMAL(10,2),
    VLTOTAL           DECIMAL(10,2),
    constraint pkFUNCIONARIO primary key(IDFUNCIONARIO),
    constraint fkFUNCIONARIODEPARTAMENTO foreign key(IDDEPARTAMENTO)
    references DEPARTAMENTO(IDDEPARTAMENTO),
    constraint fkFUNCIONARIOEMPRESA foreign key(IDEMPRESA)
    references EMPRESA(IDEMPRESA));
