unit UnitEmpresa;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, ExtCtrls, DBCtrls, StdCtrls, Buttons, ToolWin,
  ComCtrls, Mask;

type
  TFormEmpresa = class(TForm)
    ToolBar1: TToolBar;
    BitBtnNovo: TBitBtn;
    BitBtnSalvar: TBitBtn;
    BitBtnAlterar: TBitBtn;
    BitBtnExcluir: TBitBtn;
    BitBtnSair: TBitBtn;
    DBNavigator1: TDBNavigator;
    ScrollBox1: TScrollBox;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    Label4: TLabel;
    DBEdit4: TDBEdit;
    Label5: TLabel;
    DBEdit5: TDBEdit;
    Label6: TLabel;
    DBEdit6: TDBEdit;
    Label7: TLabel;
    DBEdit7: TDBEdit;
    Label8: TLabel;
    DBEdit8: TDBEdit;
    Label9: TLabel;
    Label10: TLabel;
    DBEdit10: TDBEdit;
    Label11: TLabel;
    DBEdit11: TDBEdit;
    Label12: TLabel;
    DBEdit12: TDBEdit;
    Label13: TLabel;
    DBEdit13: TDBEdit;
    DBLookupComboBox1: TDBLookupComboBox;
    DBComboBox1: TDBComboBox;
    procedure BitBtnNovoClick(Sender: TObject);
    procedure BitBtnSalvarClick(Sender: TObject);
    procedure BitBtnAlterarClick(Sender: TObject);
    procedure BitBtnExcluirClick(Sender: TObject);
    procedure BitBtnSairClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormEmpresa: TFormEmpresa;

implementation

uses UnitDm;

{$R *.dfm}

procedure TFormEmpresa.BitBtnNovoClick(Sender: TObject);
begin
Dm.IBTableEmpresa.Open;
Dm.IBTableEmpresa.Insert;
BitBtnSalvar.Enabled:=True;
BitBtnSair.Enabled:=True;
BitBtnAlterar.Enabled:=False;
BitBtnNovo.Enabled:=False;
BitBtnExcluir.Enabled:=False;
DBEdit1.SetFocus;
end;

procedure TFormEmpresa.BitBtnSalvarClick(Sender: TObject);
begin
Dm.IBTableEmpresa.Open;
Dm.IBTableEmpresa.Post;
BitBtnSalvar.Enabled:=True;
BitBtnSair.Enabled:=True;
BitBtnAlterar.Enabled:=False;
BitBtnNovo.Enabled:=True;
BitBtnExcluir.Enabled:=True;
Dm.IBTableEmpresa.ApplyUpdates;
end;

procedure TFormEmpresa.BitBtnAlterarClick(Sender: TObject);
begin
Dm.IBTableEmpresa.Open;
Dm.IBTableEmpresa.Edit;
BitBtnSalvar.Enabled:=True;
BitBtnSair.Enabled:=True;
BitBtnAlterar.Enabled:=False;
BitBtnNovo.Enabled:=False;
BitBtnExcluir.Enabled:=False;
Dm.IBTableEmpresa.ApplyUpdates;
end;

procedure TFormEmpresa.BitBtnExcluirClick(Sender: TObject);
begin
if MessageDlg('Esta Operao no poder ser desfeita. Prosseguir',
    mtConfirmation, [mbYes, mbNo],0) = mrYes then
  begin
    MessageDlg('Deletado ' + Dm.IBTableEmpresa.Fields[1].AsString, mtInformation,
    [mbOk], 0);
 Dm.IBTableEmpresa.Delete;
  Dm.IBTableEmpresa.ApplyUpdates;
end;
end;

procedure TFormEmpresa.BitBtnSairClick(Sender: TObject);
begin
Close;
end;

end.
