unit UnitDepartamento;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, ExtCtrls, DBCtrls, StdCtrls, Buttons, ToolWin,
  ComCtrls, Mask;

type
  TFormDepartamento = class(TForm)
    ToolBarBotoes: TToolBar;
    BitBtnNovo: TBitBtn;
    BitBtnSalvar: TBitBtn;
    BitBtnAlterar: TBitBtn;
    BitBtnExcluir: TBitBtn;
    BitBtnSair: TBitBtn;
    ScrollBoxDados: TScrollBox;
    DBNavigatorDepartamento: TDBNavigator;
    DBGridDepartamento: TDBGrid;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    procedure BitBtnNovoClick(Sender: TObject);
    procedure BitBtnSalvarClick(Sender: TObject);
    procedure BitBtnAlterarClick(Sender: TObject);
    procedure BitBtnExcluirClick(Sender: TObject);
    procedure BitBtnSairClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormDepartamento: TFormDepartamento;

implementation

uses UnitDm;

{$R *.dfm}

procedure TFormDepartamento.BitBtnNovoClick(Sender: TObject);
begin
Dm.IBTableDepartamento.Open;
Dm.IBTableDepartamento.Insert;
BitBtnSalvar.Enabled:=True;
BitBtnSair.Enabled:=True;
BitBtnAlterar.Enabled:=False;
BitBtnNovo.Enabled:=False;
BitBtnExcluir.Enabled:=False;
DbEdit1.SetFocus;
end;

procedure TFormDepartamento.BitBtnSalvarClick(Sender: TObject);
begin
Dm.IBTableDepartamento.Open;
Dm.IBTableDepartamento.Post;
BitBtnSalvar.Enabled:=True;
BitBtnSair.Enabled:=True;
BitBtnAlterar.Enabled:=False;
BitBtnNovo.Enabled:=True;
BitBtnExcluir.Enabled:=True;
Dm.IBTableDepartamento.ApplyUpdates;
end;

procedure TFormDepartamento.BitBtnAlterarClick(Sender: TObject);
begin
Dm.IBTableDepartamento.Open;
Dm.IBTableDepartamento.Edit;
BitBtnSalvar.Enabled:=True;
BitBtnSair.Enabled:=True;
BitBtnAlterar.Enabled:=False;
BitBtnNovo.Enabled:=False;
BitBtnExcluir.Enabled:=False;
Dm.IBTableDepartamento.ApplyUpdates;
end;

procedure TFormDepartamento.BitBtnExcluirClick(Sender: TObject);
begin
if MessageDlg('Esta Operao no poder ser desfeita. Prosseguir',
    mtConfirmation, [mbYes, mbNo],0) = mrYes then
  begin
    MessageDlg('Deletado ' + Dm.IBTableDepartamento.Fields[1].AsString, mtInformation,
    [mbOk], 0);
Dm.IBTableDepartamento.Delete;
Dm.IBTableDepartamento.ApplyUpdates;
end;
end;

procedure TFormDepartamento.BitBtnSairClick(Sender: TObject);
begin
formDepartamento.Close;
end;

end.
